Name:          pnpm
Version:       10.6.2
Release:       1mamba
Summary:       Fast, disk space efficient package manager
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pnpm.io/
Source:        https://github.com/pnpm/pnpm.git/v%{version}/pnpm-%{version}.tar.bz2
License:       MIT
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: nodejs

%description
Fast, disk space efficient package manager.

#% debug_package

%prep
%setup -q

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
npm install -g \
  --cache "$PWD/npm-cache" \
  --prefix %{buildroot}%{_prefix} \
  pnpm

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/pnpm
%{_bindir}/pnpx
%dir %{_prefix}/lib/node_modules/pnpm
%{_prefix}/lib/node_modules/pnpm/*
%doc LICENSE

%changelog
* Mon Mar 10 2025 Automatic Build System <autodist@openmamba.org> 10.6.2-1mamba
- automatic version update by autodist

* Sat Mar 08 2025 Automatic Build System <autodist@openmamba.org> 10.6.1-1mamba
- automatic version update by autodist

* Fri Mar 07 2025 Automatic Build System <autodist@openmamba.org> 10.6.0-1mamba
- automatic version update by autodist

* Thu Feb 27 2025 Automatic Build System <autodist@openmamba.org> 10.5.2-1mamba
- automatic version update by autodist

* Thu Feb 27 2025 Automatic Build System <autodist@openmamba.org> 10.5.1-1mamba
- automatic version update by autodist

* Tue Feb 25 2025 Automatic Build System <autodist@openmamba.org> 10.5.0-1mamba
- automatic version update by autodist

* Mon Feb 17 2025 Automatic Build System <autodist@openmamba.org> 10.4.1-1mamba
- automatic version update by autodist

* Sat Feb 15 2025 Automatic Build System <autodist@openmamba.org> 10.4.0-1mamba
- automatic version update by autodist

* Tue Feb 11 2025 Automatic Build System <autodist@openmamba.org> 10.3.0-1mamba
- automatic version update by autodist

* Sat Feb 08 2025 Automatic Build System <autodist@openmamba.org> 10.2.1-1mamba
- automatic version update by autodist

* Tue Feb 04 2025 Automatic Build System <autodist@openmamba.org> 10.2.0-1mamba
- automatic version update by autodist

* Mon Jan 27 2025 Automatic Build System <autodist@openmamba.org> 10.1.0-1mamba
- automatic version update by autodist

* Thu Jan 09 2025 Automatic Build System <autodist@openmamba.org> 10.0.0-1mamba
- automatic version update by autodist

* Tue Jan 07 2025 Automatic Build System <autodist@openmamba.org> 9.15.3-1mamba
- automatic version update by autodist

* Fri Dec 27 2024 Automatic Build System <autodist@openmamba.org> 9.15.2-1mamba
- automatic version update by autodist

* Sun Dec 22 2024 Automatic Build System <autodist@openmamba.org> 9.15.1-1mamba
- automatic version update by autodist

* Fri Dec 06 2024 Automatic Build System <autodist@openmamba.org> 9.15.0-1mamba
- automatic version update by autodist

* Sat Nov 30 2024 Automatic Build System <autodist@openmamba.org> 9.14.4-1mamba
- automatic version update by autodist

* Fri Nov 29 2024 Automatic Build System <autodist@openmamba.org> 9.14.3-1mamba
- automatic version update by autodist

* Tue Nov 26 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 9.14.2-1mamba
- package created using the webbuild interface
